Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::VirtualBackgroundSource Struct Reference

`#include <AgoraBase.h>`

## Public Types
enum | BACKGROUND_SOURCE_TYPE { BACKGROUND_NONE = 0 , BACKGROUND_COLOR = 1 , BACKGROUND_IMG = 2 , BACKGROUND_BLUR = 3 , BACKGROUND_VIDEO = 4 }
enum | BACKGROUND_BLUR_DEGREE { BLUR_DEGREE_LOW = 1 , BLUR_DEGREE_MEDIUM = 2 , BLUR_DEGREE_HIGH = 3 }

## Public Member Functions
| VirtualBackgroundSource ()

## Public Attributes
BACKGROUND_SOURCE_TYPE | background_source_type
unsigned int | color
const char * | source
BACKGROUND_BLUR_DEGREE | blur_degree

## Detailed Description

The custom background image.

## Member Enumeration Documentation

## ◆ BACKGROUND_SOURCE_TYPE

enum agora::rtc::VirtualBackgroundSource::BACKGROUND_SOURCE_TYPE

The type of the custom background source.

Enumerator
BACKGROUND_NONE | 0: Enable segementation with the captured video frame without replacing the background.
BACKGROUND_COLOR | 1: (Default) The background source is a solid color.
BACKGROUND_IMG | The background source is a file in PNG or JPG format.
BACKGROUND_BLUR | The background source is the blurred original video frame.
BACKGROUND_VIDEO | The background source is a file in MP4, AVI, MKV, FLV format.

## ◆ BACKGROUND_BLUR_DEGREE

enum agora::rtc::VirtualBackgroundSource::BACKGROUND_BLUR_DEGREE

The degree of blurring applied to the background source.

Enumerator
BLUR_DEGREE_LOW | 1: The degree of blurring applied to the custom background image is low. The user can almost see the background clearly.
BLUR_DEGREE_MEDIUM | 2: The degree of blurring applied to the custom background image is medium. It is difficult for the user to recognize details in the background.
BLUR_DEGREE_HIGH | 3: (Default) The degree of blurring applied to the custom background image is high. The user can barely see any distinguishing features in the background.

## Constructor & Destructor Documentation

## ◆ VirtualBackgroundSource()

agora::rtc::VirtualBackgroundSource::VirtualBackgroundSource | ( |  | ) |
| inline

## Member Data Documentation

## ◆ background_source_type

BACKGROUND_SOURCE_TYPE agora::rtc::VirtualBackgroundSource::background_source_type

The type of the custom background image. See BACKGROUND_SOURCE_TYPE.

## ◆ color

unsigned int agora::rtc::VirtualBackgroundSource::color

The color of the custom background image. The format is a hexadecimal integer defined by RGB, without the # sign, such as 0xFFB6C1 for light pink. The default value is 0xFFFFFF, which signifies white. The value range is [0x000000,0xFFFFFF]. If the value is invalid, the SDK replaces the original background image with a white background image.

Note
  This parameter takes effect only when the type of the custom background image is `BACKGROUND_COLOR`.

## ◆ source

const char* agora::rtc::VirtualBackgroundSource::source

The local absolute path of the custom background image. PNG and JPG formats are supported. If the path is invalid, the SDK replaces the original background image with a white background image.

Note
  This parameter takes effect only when the type of the custom background image is `BACKGROUND_IMG`.

## ◆ blur_degree

BACKGROUND_BLUR_DEGREE agora::rtc::VirtualBackgroundSource::blur_degree

The degree of blurring applied to the custom background image. See BACKGROUND_BLUR_DEGREE.

Note
  This parameter takes effect only when the type of the custom background image is `BACKGROUND_BLUR`.